Account
Operations
Last updated
Was this helpful?
Was this helpful?
POST /nexum/627/2022.01/account/getAccount HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 186
{
"Credentials": {
"AdministrativeCredentials": {
"Password": {
"symx-administrative-password": null
}
}
},
"AccountNumber": "0000013824",
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}{
"Account": {
"Number": "0000013824",
"Type": 1,
"OpenDate": "2006-07-10",
"Branch": 77,
"CloseDate": null,
"RecordChangeDate": "2010-05-08",
"Restrict": 0,
"ShareList": null
},
"MessageId": "getAccount"
}POST /nexum/627/2022.01/account/getAccountSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 363
{
"Credentials": {
"AdministrativeCredentials": {
"Password": {
"symx-administrative-password": null
}
}
},
"AccountNumber": "0000013824",
"SelectableFields": {
"IncludeAllAccountFields": false,
"AccountFields": {
"Number": true,
"Type": true,
"OpenDate": true,
"CloseDate": true,
"Branch": true,
"Reference": true,
"Restrict": true
}
},
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}{
"Account": {
"Number": "0000013824",
"Type": 1,
"OpenDate": "2006-07-10",
"CloseDate": null,
"Branch": 77,
"Reference": null,
"Restrict": 0
},
"MessageId": "getAccountSelectFields"
}POST /nexum/627/2022.01/account/getAccountSelectFieldsFilterChildren HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 509
{
"Credentials": {
"AdministrativeCredentials": {
"Password": {
"symx-administrative-password": null
}
}
},
"AccountNumber": "0000013824",
"SelectableFields": {
"IncludeAllAccountFields": false,
"AccountFields": {
"Number": true,
"Type": true,
"OpenDate": true,
"Branch": true
},
"ShareSelectableFields": {
"IncludeAllShareFields": false,
"ShareFields": {
"Id": true,
"Type": true,
"Description": true,
"Balance": true,
"OpenDate": true
}
}
},
"ChildrenSearchFilter": {
"ShareFilter": {
"Query": ""
}
},
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}{
"Account": {
"Number": "0000013824",
"Type": 1,
"OpenDate": "2006-07-10",
"Branch": 77,
"ShareList": {
"hasReachedMaximumListSize": false,
"Share": [
{
"Id": "0001",
"Type": 1,
"Description": "SAVINGS",
"Balance": "17791.62",
"OpenDate": "2006-07-10"
},
{
"Id": "0020",
"Type": 20,
"Description": "CLASSIC CHECKING",
"Balance": "10573.54",
"OpenDate": "2006-07-10"
}
]
}
},
"MessageId": "getAccountSelectFieldsFilterChildren"
}POST /nexum/627/2022.01/account/updateAccountByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 259
{
"Credentials": {
"AdministrativeCredentials": {
"Password": {
"symx-administrative-password": null
}
}
},
"AccountNumber": "0000017369",
"AccountUpdatableFields": {
"Reference": "NEXUM W4 2022",
"UserChar1": "W42"
},
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}{
"UpdateStatus": {
"isAllFieldsUpdateSuccess": true,
"FailedUpdateStatus": []
},
"MessageId": "updateAccountByID"
}POST /nexum/627/2022.01/account/createAccount HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 421
{
"Credentials": {
"AdministrativeCredentials": {
"Password": {
"symx-administrative-password": null
}
}
},
"AccountCreatableFields": {
"Type": 0,
"Branch": 0,
"OpenDate": "2026-06-29"
},
"NameCreatableFields": {
"First": "NEXUM",
"Last": "WAVEFOUR22",
"Ssn": "999990103",
"Type": 0,
"Street": "1 TEST WAY",
"City": "TEST",
"State": "TX",
"ZipCode": "75001"
},
"PreferenceCreatableFields": {
"Type": 0
},
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}{
"AccountNumber": "0000017369",
"MessageId": "createAccount"
}